> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Lista uttalsordlistor

GET https://api.elevenlabs.io/v1/pronunciation-dictionaries

Hämta en lista över de uttalslexikon du har åtkomst till och deras metadata

Reference: https://elevenlabs.io/docs/api-reference/pronunciation-dictionaries/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Query parameters

- `cursor` (string, optional, nullable) — Används för att hämta nästa sida. Markören returneras i svaret.
- `page_size` (integer, optional, default: 30) — Maximalt antal uttalslexikon att returnera. Får inte överstiga 100, standardvärdet är 30.
- `sort` (enum, optional, nullable, default: creation_time_unix) — Vilket fält som ska sorteras efter: 'created_at_unix' eller 'name'.
  - Allowed values: `creation_time_unix`, `name`
- `sort_direction` (string, optional, nullable, default: DESCENDING) — Vilken riktning rösterna ska sorteras i: 'ascending' eller 'descending'.
- `include_archived` (boolean, optional, default: true) — Om arkiverade uttalslexikon ska inkluderas i svaret.

## Response

### 200

Lyckat svar

- `pronunciation_dictionaries` (list of GetPronunciationDictionaryMetadataResponseModel, required) — En lista med uttalslexikon och deras metadata.
- `has_more` (boolean, required) — Om det finns fler uttalslexikon att hämta.
- `next_cursor` (string, optional, nullable) — Nästa markör som ska användas för paginering.

## Errors

### 422 Unprocessable Entity Error

Valideringsfel

- `detail` (list of ValidationError, optional)

## Types

### GetPronunciationDictionaryMetadataResponseModel

- `id` (string, required) — ID:t för uttalsordlistan.
- `latest_version_id` (string, required) — ID:t för den senaste versionen av uttalsordlistan.
- `latest_version_rules_num` (integer, required) — Antalet regler i den senaste versionen av uttalsordlistan.
- `name` (string, required) — Namnet på uttalsordlistan.
- `permission_on_resource` (enum, required, nullable) — Behörigheten för uttalsordbokens resurs.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `created_by` (string, required) — Användar-ID:t för skaparen av uttalsordboken.
- `creation_time_unix` (integer, required) — Skapelsetiden för uttalsordboken i Unix-tidsstämpel.
- `archived_time_unix` (integer, optional, nullable) — Arkiveringstiden för uttalsordlistan som Unix-tidsstämpel.
- `description` (string, optional, nullable) — Beskrivningen av uttalsordboken.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "pronunciation_dictionaries": [
    {
      "id": "5xM3yVvZQKV0EfqQpLrJ",
      "latest_version_id": "5xM3yVvZQKV0EfqQpLr2",
      "latest_version_rules_num": 2,
      "name": "My Dictionary",
      "permission_on_resource": "admin",
      "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
      "creation_time_unix": 1714156800,
      "description": "This is a test dictionary"
    }
  ],
  "has_more": false,
  "next_cursor": "5xM3yVvZQKV0EfqQpLr2"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/pronunciation-dictionaries"

querystring = {"include_archived":"false","sort":"creation_time_unix","sort_direction":"descending"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```